table:
  name: snapshots
  schema: wrapup
object_relationships:
  - name: event
    using:
      foreign_key_constraint_on: event_id
  - name: team
    using:
      foreign_key_constraint_on: team_id
array_relationships:
  - name: bonus_scores
    using:
      foreign_key_constraint_on:
        columns:
          - snapshot_id
          - team_id
          - event_id
        table:
          name: snapshots_bonus
          schema: wrapup
  - name: services
    using:
      foreign_key_constraint_on:
        columns:
          - snapshot_id
          - team_id
          - event_id
        table:
          name: snapshots_service
          schema: wrapup
insert_permissions:
  - role: _event_admin
    permission:
      check: {}
      columns:
        - ctf_challenge_available
        - ctf_challenge_count
        - ctf_score
        - max_ctf_score
        - max_service_score
        - max_total_score
        - services_score
        - total_score
        - time
        - event_id
        - id
        - team_id
    comment: ""
  - role: _snapshot_service
    permission:
      check: {}
      columns:
        - ctf_challenge_available
        - ctf_challenge_count
        - ctf_score
        - max_ctf_score
        - max_service_score
        - max_total_score
        - services_score
        - total_score
        - time
        - event_id
        - id
        - team_id
    comment: ""
select_permissions:
  - role: _snapshot_service
    permission:
      columns:
        - ctf_challenge_available
        - ctf_challenge_count
        - ctf_score
        - max_ctf_score
        - max_service_score
        - max_total_score
        - services_score
        - total_score
        - time
        - event_id
        - id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: anonymous
    permission:
      columns:
        - ctf_challenge_available
        - ctf_challenge_count
        - ctf_score
        - max_ctf_score
        - max_service_score
        - max_total_score
        - services_score
        - total_score
        - time
        - event_id
        - id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
